import { Router } from "express";
import AuthRoute from "./oauth/auth";
import JWTRoute from "./oauth/jwt";
import Public from "./oauth/public";
import RefreshTokenRoute from "./oauth/refresh";

const OAuthRoue: Router = Router();
OAuthRoue.post("/auth", AuthRoute);
OAuthRoue.get("/jwt", JWTRoute)
OAuthRoue.get("/public", Public)
OAuthRoue.get("/refresh", RefreshTokenRoute);
OAuthRoue.post("/refresh", RefreshTokenRoute);
export default OAuthRoue;